package com.zd.laboratory.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author: zhoupan
 * @Date: 2021/09/10/18:25
 * @Description:
 */
public class LabPhotoNoteADD {


    @ApiModelProperty(value = "图片地址")
//    @NotNull(message = "图片不能为空")
    private String imgUrl;

    @ApiModelProperty(value = "多张图片地址")
    private List <String> imgUrls;

    /**
     * 实验室ID
     */
    @ApiModelProperty(value = "实验室ID")
    @NotNull(message = "实验室ID不能为空")
    private Long subjectId;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    @Length(max = 500, message = "描述长度不能超过500")
    private String describe;

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public List <String> getImgUrls() {
        return imgUrls;
    }

    public void setImgUrls(List <String> imgUrls) {
        this.imgUrls = imgUrls;
    }
}
